List all reviews

This endpoint will return all available reviews Reva has for a company, this includes company level reviews and also the ones from the company units.

Attributes

The response will be encapsulated by two objects: the data object that will contain the information for the reviews. And the filters object that will contain the information about the pagination and the results from the filtering process.

Data Object

Within this object each unit will have the following attributes:


review_of string
Either 'Unit' or 'Company' determines the type of the review, if the review is coming from a specific unit listing or if it's targeting the company itself.


unit_name string
If the review is from a Unit this will contain the name of the unit being reviewed, otherwise it would be null. This name is imported from the PMS or set by the user upon creation.


unit_provider_id string
If the review is from a Unit this will contain the id of the unit that comes from the PMS, otherwise it would be null. This id is imported from the PMS or set by the user upon creation.


unit_id uuid
If the review is from a Unit this will contain the unique id of the unit within Reva, otherwise it would be null.


id uuid
The unique id for the review.


company_id uuid
The unique id for the company of review.


rating integer
The score set by the reviewer and normalized by Reva in a 1-5 scale.


date date
The date the review was published.


title string
The title of the review left in the listing site. If this information is not present the returned value will be null.


description text
The comment of the review, normally is where all feedback from the guest is store. If this information is not present the returned value will be null.


reservation_id uuid
If Reva was able to match the review with a reservation. This field will contain the unique id of the reservation within Reva, otherwise it would be null.


positive_tags array
Reva classifies the reviews into categories using artificial intelligence. This field contains an array of all the positive categories the review falls into. If your account doesn’t have this feature active this field will not be present in the response.


negative_tags array
Reva classifies the reviews into categories using artificial intelligence. This field contains an array of all the negative categories the review falls into. If your account doesn’t have this feature active this field will not be present in the response.


guest_name string
Contains the name of the guest who wrote the review, or is null if the information is not available.


host_response boolean
A boolean indicating if the host already responded or not.


host_response_text text
Contains the text of the reply from the host to the review. If host_response is false this key will not be present in the response.


display_on_website boolean
A boolean indicating if the user marked the review to be publish or not.


timing string
Indicates if the review was left during the stay (during_stay) of after it (end_of_stay). It's mostly used to identify reviews acquired by Reva's surveys tool during the guest stay. The rest of the reviews are normally acquired after the booking takes place.


updated_at datetime
Indicates the last time the review was modified.


channel_name boolean
The name of the channel where the review was left.

Filters Object

Within this object the following attributes will be returned:


total_records integer
The total number of records that match the filters.


per_page integer
The number of records returned per page.


page integer
The current page.


pages integer
The total number of pages with data.

Path Params
string
required
Query Params
int32
Defaults to 1

The page of results you would like to retrieve.

int32
Defaults to 20

The number of records per page you would like to retrieve. The API has maximum value of 100 records per page

boolean

Filter results by the ones marked as published or not within Reva.

string

Filter results by the rating of the review.

date

Filter results by reviews publish either at or after a minimum date.

date

Filter results by reviews published either at or before a maximum date.

string

Filter results based on reviews coming from a specific channel, use channel_id from the channels endpoint.

date

Filter results by reviews updated either at or after the beginning of the date you send

date

Filter results by reviews updated either at or before the end of the date you send

string

Filter results by the type of the review. This param can take the value of 'Unit' or 'Company' the first one will return reviews from the units of the company, the second one reviews for the company itself. When left blank both kinds of reviews will be returned

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json